Bug 134501 - doesn't show the CJK page correctly on UTF-8 locale
doesn't show the CJK page correctly on UTF-8 locale
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: elinks (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-03 23:53 EDT by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 14:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-10-03 23:53:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.3)
Gecko/20041001 Debian/1.7.3-3

Description of problem:
elinks can't show the euc-jp page on UTF-8 locale.

Version-Release number of selected component (if applicable):
elinks-0.9.2-0.rc7.4

How reproducible:
Always

Steps to Reproduce:
1.elinks http://www.yahoo.co.jp/
2.
3.
    

Actual Results:  shows unreadable strings

Expected Results:  shows Japanese correctly

Additional info:
Comment 1 Akira TAGOH 2004-10-07 00:28:52 EDT
elinks also doesn't work for CJK. for another testcase,
LANG=ko_KR.UTF-8 elinks http://kr.yahoo.com/
LANG=zh_CN.UTF-8 elinks http://cn.yahoo.com/
LANG=zh_TW.UTF-8 elinks http://tw.yahoo.com/
Comment 2 Karel Zak 2004-10-13 12:16:53 EDT
I have feedback about it from upstream developers.

Elinks doesn't use UTF8 internaly and doens't expect it in rendering
algorithms. Elink does conversion to UTF8 before output to screen --
but for multibytes like ko_KR.UTF-8 it destroys everything that
rendering alorithm prepared for page.

Other words, elinks hasn't real UTF8 support.
Comment 5 Peter van Egdom 2005-07-29 14:47:12 EDT
Closing bug - proper support for UTF-8 in "elinks" has to be done upstream.

Note You need to log in before you can comment on or make changes to this bug.